Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update a deal

Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.

Moves stages, sets the status (won/lost), archives and links a project.

PATCH/v1/deals/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (bh_…).

Path parameters
idstringrequired
min length 1
Request body
application/json
contactIdstring
min length 1
titlestring
min length 1 · max length 200
valuenumber | null
Show properties
Any of:
number
number
null
null
stageIdstring
min length 1
statusstring
Allowed:openwonlost
ownerIdstring | null
Show properties
Any of:
string
string
null
null
projectTypeIdsstring[]
max items 50
streetstring | null
Show properties
Any of:
string
string
null
null
postalCodestring | null
Show properties
Any of:
string
string
null
null
citystring | null
Show properties
Any of:
string
string
null
null
notesstring | null
Show properties
Any of:
string
string
null
null
projectIdstring | null
Show properties
Any of:
string
string
null
null
archivedboolean
Responses
200

OK

idstringrequired
contactIdstringrequired
titlestringrequired
valuenumber | nullrequired
Show properties
Any of:
number
number
null
null
stageIdstringrequired
stageEnteredAtstring<date-time>required
statusstringrequired
Allowed:openwonlost
ownerIdstring | nullrequired
Show properties
Any of:
string
string
null
null
projectTypeIdsstring[]required
streetstring | nullrequired
Show properties
Any of:
string
string
null
null
postalCodestring | nullrequired
Show properties
Any of:
string
string
null
null
citystring | nullrequired
Show properties
Any of:
string
string
null
null
notesstring | nullrequired
Show properties
Any of:
string
string
null
null
projectIdstring | nullrequired
Show properties
Any of:
string
string
null
null
closedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
archivedAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://app.bauhow.com/api/v1/deals/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "contactId": "string",
  "title": "string",
  "value": 0,
  "stageId": "string",
  "status": "open",
  "ownerId": "string",
  "projectTypeIds": [
    "string"
  ],
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "notes": "string",
  "projectId": "string",
  "archived": true
}'
Response
{
  "id": "string",
  "contactId": "string",
  "title": "string",
  "value": 0,
  "stageId": "string",
  "stageEnteredAt": "2019-08-24T14:15:22Z",
  "status": "open",
  "ownerId": "string",
  "projectTypeIds": [
    "string"
  ],
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "notes": "string",
  "projectId": "string",
  "closedAt": "2019-08-24T14:15:22Z",
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}

Was this page helpful?